Subject: bug#23510: closed (Re: Strange redisplay in global highlighted mode moving the scroll bar)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 May 2016 09:36:01 +0000

Your bug report

#23510: Strange redisplay in global highlighted mode moving the scroll bar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23510: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23510
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Strange redisplay in global highlighted mode moving the scroll bar
From: Stephen Berman <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Angelo Graziosi <[email-masked]>
Date: Thu, 26 May 2016 11:34:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 26 May 2016 05:44:48 +0300 Eli Zaretskii <[email-masked]> wrote:

>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>> From: Angelo Graziosi <[email-masked]>
>> Date: Thu, 26 May 2016 00:13:28 +0200
>> 
>> Any news about this issue? I am still using an Emacs build with 
>> Stephen's patch and I see no problem...
>
> Would someone please install that?

Done in commit 16be3e90545972dec16014253a843229d5bdf388 to master and
closing the bug.

Steve Berman

Subject: Strange redisplay in global highlighted mode moving the scroll bar
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2016 21:31:26 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Maybe this is not a bug but I want to flag for completeness..

The following should be reproducible with the following simple init.el:

$ cat init.el
;;
(global-hl-line-mode 1)

Now, in the scratch buffer, copy and paste many times its text (;; This 
buffer...) so that the scratch buffer has many lines, not all contained in the 
Emacs window/frame. Move the cursor on a line, more or less at the center of 
the window. The line is highlighted (in green, by default). Now move slowly 
up/down the scroll bar, then the highlighted line seems to flicker as if it 
were redrawn at (almost) each pixel movement of the scroll bar.

Is this to be expected? Other software with same feature do not show this 
"flickering" and the highlight moves synchronously with the text.

The effect is visible not only with vertical scroll bar but also with the 
horizontal.

I see this with my master builds on Windows, GNU/linux and OSX.

Angelo